Bug 742176 - Migration: Account Policy plug-in entries fails to load for the ds8.2 to ds9.0 migrated instance.
Migration: Account Policy plug-in entries fails to load for the ds8.2 to ds9....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
14
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks: 690319
  Show dependency treegraph
 
Reported: 2011-09-29 06:12 EDT by Sankar Ramalingam
Modified: 2012-08-16 17:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sankar Ramalingam 2011-09-29 06:12:52 EDT
Description of problem: 
        Account Policy plug-in entries fails to load for the ds8.2 to ds9.0 migrated instance.

Version-Release number of selected component (if applicable): DS9.0

How reproducible: Consistently

Steps to Reproduce:
1. Set the hostname of RHEL4/5(Source) machine to "mig_ds82".
2. Install DS8.2 on the source machine and create an instance.
3. Export all the db files to an ldif file using db2ldif command.
service dirsrv stop
service dirsrv-admin stop
for instdir in /var/lib/dirsrv/slapd-* ; do
    inst=`basename $instdir`
    for dbdir in /var/lib/dirsrv/$inst/db/* ; do
        if ! [ -d $dbdir ] ; then continue ; fi # skip non-directories
        dbname=`basename $dbdir`
        /usr/lib(64)/dirsrv/$inst/db2ldif -n $dbname -a /var/lib/dirsrv/$inst/ldif/$dbname.upgrade.ldif
    done
done
4. Run the tar command to create a tar/zip file on the source machine.
  cd /
  tar cpjf /var/tmp/test_mig.tar.bz2 -C / --no-recursion --exclude httpd.conf --exclude admserv.conf etc/sysconfig/dirsrv* etc/dirsrv/slapd-* etc/dirsrv/slapd-*/* etc/dirsrv/slapd-*/schema/* var/run/dirsrv var/lock/dirsrv/slapd-* var/log/dirsrv/slapd-* var/lib/dirsrv/slapd-* var/lib/dirsrv/slapd-*/* var/lib/dirsrv/slapd-*/ldif usr/lib(64)/dirsrv/slapd-*/* var/lib/dirsrv/slapd-*/ldif/*/*.ldif 
5. Copy the tar file to RHEL6 machine and change the hostname of "Target" machine to "mig_ds82".
6. Untar the "test_mig.tar.bz2" file on target machine.
    scp root@Source_IP:/var/tmp/test_mig.tar.bz2 /tmp/
    cd /
    tar cfjp /tmp/test_mig.tar.bz2
7. Copy the instance directory files if your migration is Cross-Arch.
     "cp -r /usr/lib(64)/dirsrv/slapd-*/ /usr/lib(64)/dirsrv/"
8. Create the dirsrv user/group at the "Target" machine as whom the DS was running at "Source" machine and change the ownership for the dirsrv directories.
     groupadd dsrel; useradd -g dsrel -s /bin/bash -d /export/svrbld -p redhat svrbld
     for i in `find /usr /var /etc -name dirsrv`; do chown -R svrbld:dsrel $i; done
9. Install DS9.0(389-ds-base) packages on the Target machine and run "setup-ds.pl -u" to upgrade the instance and complete the migration.
        setup-ds.pl -u -s General.UpdateMode=offline
10. Restart the directory server instances. service dirsrv restart
11. Check whether the account policy plug-in entries are loaded.

/usr/bin/ldapmodify -x -h 10.16.98.241 -p 10389 -D "cn=Directory Manager" -w Secret123 << EOF
> dn: cn=Account Policy Plugin,cn=plugins,cn=config
> changetype: modify
> replace: nsslapd-pluginEnabled
> nsslapd-pluginEnabled: on
> EOF

modifying entry "cn=Account Policy Plugin,cn=plugins,cn=config"
ldap_modify: No such object (32)

Actual results: Account Policy plug-in entries not loaded.

Expected results: Plug-in entries should be successfully loaded for the migrated instances.
Comment 2 Rich Megginson 2012-01-09 10:41:24 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/170
Comment 3 Fedora End Of Life 2012-08-16 17:34:50 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.